Author Topic: Detailed upgrade methods needed  (Read 4513 times)

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Detailed upgrade methods needed
« on: August 24, 2016, 11:52:52 AM »
Although AbanteCart is a really good e-commerce software, from my opinion it's weakness is the upgrade system.

Sometimes I can just click through the upgrade button and it upgrades in a few seconds.  "Please click following link this link to start the upgrade." Then for newer upgrades, the system doesn't work as the popup just reappears that had the original upgrade information.

Sadly, the only manual upgrade information is not complete and assumes that the upgrader has done a manual upgrade before and skips details such as "... then a miracle occurs and it all works." The manual installation appears to be just copying the new files over the old, but keeping the original config file and then running a command. How to run the command remains a mystery. Any ideas?

I also installed a 1.2.x (current version) on my Bluehost server and after the install, restored the manual backup of everything (or so I thought) from the files/folders. Although it "worked" the images weren't transferred nor the templates and other details. It became so confusing that I gave up for lack of time.

Does anyone have a long version of how to upgrade AbanteCart?

As I wrote above, it would be nice to make a manual backup, install the current version, restore to it and the new site is identical to the old. It would be nice.

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4094
  • Karma: +202/-0
    • View Profile
Re: Detailed upgrade methods needed
« Reply #1 on: August 25, 2016, 07:19:56 AM »

Sometimes I can just click through the upgrade button and it upgrades in a few seconds.  "Please click following link this link to start the upgrade." Then for newer upgrades, the system doesn't work as the popup just reappears that had the original upgrade information.
Hello
When your autoupgrade is failed did you see any errors in the AbanteCart log or on your screen?

I also installed a 1.2.x (current version) on my Bluehost server and after the install, restored the manual backup of everything (or so I thought) from the files/folders. Although it "worked" the images weren't transferred nor the templates and other details. It became so confusing that I gave up for lack of time.

AbanteCart store data in the database so restore of files/folders will not work. You also need to backup and restore your database
“Chuck Norris is so amazing.”
― Mother Teresa

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Detailed upgrade methods needed
« Reply #2 on: August 25, 2016, 09:24:22 AM »
Here are answers to the two questions in two posts.

The restore files from the backup from the production 1.2.5 system worked... as far as I can tell although I had to delete all due to host space inode constraints. The problem was that it didn't appear to restore the entire system including images, products, templates, customers and so on. That's the ideal solution. Is that possible so that if a user has corruptions or other problems they can just install the latest base system and restore the backup to the new installation.

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4094
  • Karma: +202/-0
    • View Profile
Re: Detailed upgrade methods needed
« Reply #3 on: August 25, 2016, 09:32:49 AM »
Is that possible so that if a user has corruptions or other problems they can just install the latest base system and restore the backup to the new installation.

 Only for the same AbanteCart version and if you backup contain database, code, media files.
Very important to understand that "corruptions" it is very common name for problems you may have some issue with server or any
“Chuck Norris is so amazing.”
― Mother Teresa

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Detailed upgrade methods needed
« Reply #4 on: August 25, 2016, 09:49:37 AM »
When trying more from 1.2.5 to 1.2.6 to 1.2.7 and finally to 1.2.8 the system fails to more to 1.2.6. The popup box with "this click" here message just reappears after showing the abantecart_upgrade_126 network install page.

I tried the manual update method inside of the browser.

The error log files shows -

2016-08-25 6:44:51 - load error:  AbanteCart core v.1.2.5 Error: Could not load HTML element texteditor! in <b>/home5/netwosl/public_html/steam/core/engine/html.php</b> on line <b>924</b>

After trying a tar manual update I get this similar message -

 in <b>/home5/netwosl/public_html/steam/core/database/amysqli.php</b> on line <b>106</b>
ADD COLUMN `tax_exempt` tinyint(1) NOT NULL DEFAULT '0';
ALTER TABLE `ac_customer_groups`
2016-08-25 7:39:36 - database error:  AbanteCart core v.1.2.5 SQL Error: Duplicate column name 'tax_exempt'<br />Error No: 1060<br />SQL:
2016-08-25 6:58:53 - load error:  AbanteCart core v.1.2.5 Error: Could not load HTML element texteditor! in <b>/home5/netwosl/public_html/steam/core/engine/html.php</b> on line <b>924</b>
2016-08-25 6:52:34 - load error:  AbanteCart core v.1.2.5 Error: Could not load HTML element texteditor! in <b>/home5/netwosl/public_html/steam/core/engine/html.php</b> on line <b>924</b>
2016-08-25 6:44:51 - load error:  AbanteCart core v.1.2.5 Error: Could not load HTML element texteditor! in <b>/home5/netwosl/public_html/steam/core/engine/html.php</b> on line <b>924</b>
2016-08-25 6:43:18 - load error:  AbanteCart core v.1.2.5 Error: Could not load HTML element texteditor! in <b>/home5/netwosl/public_html/steam/core/engine/html.php</b> on line <b>924</b>
2016-08-25 6:42:35 - load error:  AbanteCart core v.1.2.5 Error: Could not load HTML element texteditor! in <b>/home5/netwosl/public_html/steam/core/engine/html.php</b> on line <b>924</b>
2016-08-25 6:42:02 - load error:  AbanteCart co

Any idea about fixing the texteditor error?


"You can upgrade AbanteCart core now. Upgrade is for version 1.2.5 and will change your AbanteCart application to version 1.2.6 Please click following link this link to start the upgrade. Note: You need to use MySQLi driver for this automatic upgrade and PHP 5.3+ If your PHP is lower that 5.3, do not upgrade and consider moving to newer PHP version If you need to use new feature with order status check for guest customers, you need to add link to new page in this link admin -> design -> menu section (unique ID 'order' and link 'account/invoice') This link is not added automatically in upgrade. Backup will start automatically before upgrade process and backup archive can be located in /admin/system/backup directory or backup history. IMPORTANT NOTE: We do not recommend to run this upgrade directly on live sites. Try upgrade on test site first."

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1772
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Detailed upgrade methods needed
« Reply #5 on: August 26, 2016, 03:43:55 AM »
just replace your file core/engine.html.php with this https://raw.githubusercontent.com/abantecart/abantecart-src/master/public_html/core/engine/html.php
Looks like some of your files old.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Detailed upgrade methods needed
« Reply #6 on: August 26, 2016, 09:04:30 AM »
Sadly this doesn't work. I received this message -
parsing error: syntax error, unexpected 'GitHub' (T_STRING) in /home5/netwosl/public_html/steam/core/engine/html.php on line 2244

I restored the original file and the site worked again.

I visited the AbanteCart Google Drive archive and downloaded v1.2.5 and 1/2/6 and used the html.php from from. They both "worked" so that I could try the upgrade again but it failed. The popup box just reappeared without any upgrade.

This points to a need for a simple backup and restore of everything including images, customers, templates and so on to avoid the hours of effort to try and fix a broken system.

It's far more effective to do the newest build and restore the actual site content.


Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1772
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Detailed upgrade methods needed
« Reply #7 on: August 26, 2016, 10:51:09 AM »
url works 100%.
just click and save into your harddrive via "save as". Then upload to your host.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Detailed upgrade methods needed
« Reply #8 on: August 26, 2016, 11:10:09 AM »
Sorry. The url html.php file doesn't work. It just crashes the website with this message -

parsing error: syntax error, unexpected 'GitHub' (T_STRING) in /home5/netwosl/public_html/steam/core/engine/html.php on line 2244

I tried alternate versions of the html.php file, one gave more functionality 1.2.7, to a system web page that was blank but no upgrade path.

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1772
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Detailed upgrade methods needed
« Reply #9 on: August 26, 2016, 11:30:10 AM »
please check attached
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline alevene

  • Full Member
  • ***
  • Posts: 104
  • Karma: +6/-7
    • View Profile
Re: Detailed upgrade methods needed
« Reply #10 on: August 26, 2016, 01:16:55 PM »
Copy/paste

 

Powered by SMFPacks Social Login Mod